cURL
curl --request PATCH \ --url https://test-api.afrainity.com/api/v1/school/general-settings/{id}/ \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "logo": "<string>", "address": "<string>", "phone": "<string>", "email": "jsmith@example.com", "school_name": "<string>" } '
{ "address": "<string>", "phone": "<string>", "email": "jsmith@example.com", "school_name": "<string>", "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "logo": "<string>", "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z" }
Requires authentication.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
A UUID string identifying this general settings.
Auto-populate created_by from request.user when available.
1 - 255
1 - 254
255
254